package kleankode;

public class Inventory {
    private Item[] items;

    public Inventory(Item[] items) {
        super();
        this.items = items;
    }

    public void updateQuality() {
        for (Item e : items) {
            String name = e.getName();
            int quality = e.getQuality();
            int sellIn = e.getSellIn();

            if (name.equals("Sulfuras, Hand of Ragnaros")) continue;

            if (name.equals("Aged Brie")) {
                sellIn -= 1;
                e.setSellIn(sellIn);

                quality = quality + 2 <= 50 && sellIn < 0
                        ? e.getQuality() + 2
                        : quality + 1 <= 50
                        ? e.getQuality() + 1
                        : quality;
                e.setQuality(quality);
            } else {
                sellIn -= 1;
                e.setSellIn(sellIn);

                int reducer = name.equals("Conjured") ? 2 : 1;

                quality = quality > 0 && sellIn < 0
                        ? e.getQuality() - 2 * reducer
                        : quality > 0
                        ? e.getQuality() - reducer
                        : quality;
                e.setQuality(quality);
            }
        }
    }
}
